# Function useRunner

- useRunner(__namedParameters): Promise<{
  error?: string;
  }>

- #### Parameters

  - __namedParameters: {
    code: string;
    data: any;
    handlerId: Id;
    isolationProviderImageName: string;
    }

    - ##### code: string

    - ##### data: any

    - ##### handlerId: Id

    - ##### isolationProviderImageName: string

  #### Returns Promise<{
  error?: string;
  }>

  - Defined in work/deeplinks/deeplinks/imports/router/links.ts:205